Bug 1277413 - (nette/reflection) Review Request: php-nette-reflection - Nette PHP Reflection Component
Review Request: php-nette-reflection - Nette PHP Reflection Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester nette/utils nette/di nette/caching
Blocks: 1277470 nette/nette
  Show dependency treegraph
 
Reported: 2015-11-03 04:37 EST by Remi Collet
Modified: 2015-12-28 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-05 03:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (11.14 KB, text/plain)
2015-12-01 16:33 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (9.08 KB, text/plain)
2015-12-01 16:34 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.87 KB, text/plain)
2015-12-01 16:35 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 04:37:44 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/dc1a5920cfff29a8b0a330cb6adf3e299b0507ec/php/nette/php-nette-reflection/php-nette-reflection.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-reflection-2.3.1-1.remi.src.rpm
Description: 
If you need to find every information about any class, reflection is the
right tool to do it. You can easily find out which methods does any class
have, what parameters do those methods accept, etc.

Nette\Object simplifies access to class' self-reflection with method
getReflection(), returning a Nette\Reflection\ClassType object.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/Reflection/autoload.php';

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-12-01 16:33 EST
Created attachment 1101089 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 2 Shawn Iwinski 2015-12-01 16:34 EST
Created attachment 1101090 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-12-01 16:35 EST
Created attachment 1101091 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277413
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-12-01 16:37:34 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-12-02 01:03:27 EST
Thanks!

SCM request open on pkgdb.
Comment 6 Gwyn Ciesla 2015-12-02 09:18:13 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-reflection
Comment 7 Fedora Update System 2015-12-02 09:49:44 EST
php-nette-reflection-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-33ef6164c9
Comment 8 Fedora Update System 2015-12-02 09:49:44 EST
php-nette-reflection-2.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9ff4736f69
Comment 9 Fedora Update System 2015-12-02 09:49:50 EST
php-nette-reflection-2.3.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c50d95f5fa
Comment 10 Fedora Update System 2015-12-02 09:49:50 EST
php-nette-reflection-2.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ec065d1f29
Comment 11 Fedora Update System 2015-12-02 23:20:19 EST
php-nette-reflection-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-reflection'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ec065d1f29
Comment 12 Fedora Update System 2015-12-03 11:01:39 EST
php-nette-reflection-2.3.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-reflection'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9ff4736f69
Comment 13 Fedora Update System 2015-12-03 12:19:19 EST
php-nette-reflection-2.3.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-reflection'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c50d95f5fa
Comment 14 Fedora Update System 2015-12-03 20:36:38 EST
php-nette-reflection-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-reflection'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-33ef6164c9
Comment 15 Fedora Update System 2015-12-15 08:24:36 EST
php-nette-reflection-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-15 10:21:23 EST
php-nette-reflection-2.3.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-28 16:27:00 EST
php-nette-reflection-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-12-28 22:54:04 EST
php-nette-reflection-2.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.